Skip to main content
GET
/
api
/
kits
/
v1
/
voice-blender
GET: Fetch Voice Blender Jobs
curl --request GET \
  --url https://arpeggi.io/api/kits/v1/voice-blender \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://arpeggi.io/api/kits/v1/voice-blender"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://arpeggi.io/api/kits/v1/voice-blender', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
    "data": [
        {
          "id": 110784,
          "model1Id": 501,
          "model2Id": 234,
          "model3Id": 53,
          "model4Id": 90,
          "alpha": 0.1,
          "alpha2": 0.3,
          "alpha3": 0.4,
          "alpha4": 0.2,
          "status": "success",
          "outputModelId": 600
        },
        ...
    ],
    "meta": {
        "currentPage": 1,
        "firstPage": 1,
        "firstPageUrl": "/?page=1",
        "lastPage": 3,
        "lastPageUrl": "/?page=2",
        "nextPageUrl": "/?page=3",
        "perPage": 10,
        "previousPageUrl": null,
        "total": 30,
    }
}
Authentication was not provided or was invalid.
Attempted to fetch a job that does not belong to the requesting user.
Rate limit exceeded.
Returns a paginated list of voice blender jobs.

Query Parameters

order
string
asc (default) or desc
page
number
Page offset (default 1)
perPage
number
Page size (default 50)

Headers

Authorization*
String
Bearer <api-key>

Response

data
List of Voice Blender Jobs
meta
Pagination Meta
{
    "data": [
        {
          "id": 110784,
          "model1Id": 501,
          "model2Id": 234,
          "model3Id": 53,
          "model4Id": 90,
          "alpha": 0.1,
          "alpha2": 0.3,
          "alpha3": 0.4,
          "alpha4": 0.2,
          "status": "success",
          "outputModelId": 600
        },
        ...
    ],
    "meta": {
        "currentPage": 1,
        "firstPage": 1,
        "firstPageUrl": "/?page=1",
        "lastPage": 3,
        "lastPageUrl": "/?page=2",
        "nextPageUrl": "/?page=3",
        "perPage": 10,
        "previousPageUrl": null,
        "total": 30,
    }
}
Authentication was not provided or was invalid.
Attempted to fetch a job that does not belong to the requesting user.
Rate limit exceeded.